<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\Anmeldung\KursAuswahl;

class KursAuswahlController extends \Kufer\Web\KuferTools\Basis\Anmeldung\KursAuswahl\KursAuswahlController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new KursAuswahlUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new KursAuswahlPresenter($pUseCaseResponse);
  }
}